[corosync] facing No package 'nss' found error while installing corosync

Nick Khamis symack at gmail.com
Fri Nov 11 12:07:22 GMT 2011


Use the --without-nss flag, or install nss.

Cheers,

Nick.

On Fri, Nov 11, 2011 at 6:07 AM, Amit Jathar <amit.jathar at alepo.com> wrote:
> Hi,
>
> I am working on CentOS 5.6 64 bit machine.
> I am trying to install corosync as :-
> svn co http://svn.fedorahosted.org/svn/corosync/branches/flatiron/
> ./autogen.sh && ./configure --prefix=$PREFIX --with-lcrso-dir=$LCRSODIR
>
> I am getting error as :-
> checking pkg-config is at least version 0.9.0... yes
> checking for nss... no
> configure: error: Package requirements (nss) were not met:
>
> No package 'nss' found
>
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
>
> Alternatively, you may set the environment variables nss_CFLAGS
> and nss_LIBS to avoid the need to call pkg-config.
> See the pkg-config man page for more details.
>
> I have installed nss- 3.12.10-7.el5_7 , nss-devel- 3.12.10-7.el5_7, nspr- 4.8.8-1.el5_7 & nspr-devel- 4.8.8-1.el5_7.
> I have also set PKG_CONFIG_PATH as the path for the nss.pc & libnss*.so files. But, still the error persists.
>
> I checked it on google & tried lot of things, but there is no success.
>
> Is there anyone who has faced the same issue & was able to solve it?
>
> Thanks,
> Amit
>
>
> ________________________________
> This email (message and any attachment) is confidential and may be privileged. If you are not certain that you are the intended recipient, please notify the sender immediately by replying to this message, and delete all copies of this message and attachments. Any other use of this email by you is prohibited.
> ________________________________
>
>
> _______________________________________________
> discuss mailing list
> discuss at corosync.org
> http://lists.corosync.org/mailman/listinfo/discuss
>


More information about the discuss mailing list